package com.littleworld.todo.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.littleworld.todo.services.*;
import com.littleworld.todo.model.*;

@Controller
public class TodoController {

  @Autowired  
  private TodoService todoService;

  @RequestMapping(value = "/create", method = RequestMethod.POST)
  public String create(Todo todo) {
    todoService.create(todo);
    return "redirect:/list";
  }

  @RequestMapping(value = "/list", method = RequestMethod.GET)
  public String findAll(Model model) {
    model.addAttribute("todos", todoService.findAll());
    return "todoList";
  }

  @RequestMapping(value = "/delete/{id}", method = RequestMethod.GET)
  public String delete(@PathVariable int id) {
    todoService.delete(id);
    return "redirect:/list";
  }
}

